zenilib: _DFB_DeviceData Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
_DFB_DeviceData Struct Reference

`#include <SDL_DirectFB_video.h>`

## Public Attributes

IDirectFB * | dfb
IDirectFBEventBuffer * | events
SDL_Window * | firstwin
SDL_Window * | grabbed_window
int | has_own_wm
int | initialized
DFB_KeyboardData | keyboard [10]
int | mouse_id [0x100]
int | num_keyboard
int | num_mice
int | use_linux_input
int | use_yuv_direct
int | use_yuv_underlays

## Detailed Description

Definition at line 141 of file SDL_DirectFB_video.h.

## Member Data Documentation

IDirectFB* _DFB_DeviceData::dfb

Definition at line 145 of file SDL_DirectFB_video.h.

IDirectFBEventBuffer* _DFB_DeviceData::events

Definition at line 162 of file SDL_DirectFB_video.h.

SDL_Window* _DFB_DeviceData::firstwin

Definition at line 150 of file SDL_DirectFB_video.h.

SDL_Window* _DFB_DeviceData::grabbed_window

Definition at line 159 of file SDL_DirectFB_video.h.

int _DFB_DeviceData::has_own_wm

Definition at line 155 of file SDL_DirectFB_video.h.

int _DFB_DeviceData::initialized

Definition at line 143 of file SDL_DirectFB_video.h.

DFB_KeyboardData _DFB_DeviceData::keyboard[10]

Definition at line 149 of file SDL_DirectFB_video.h.

int _DFB_DeviceData::mouse_id[0x100]

Definition at line 147 of file SDL_DirectFB_video.h.

int _DFB_DeviceData::num_keyboard

Definition at line 148 of file SDL_DirectFB_video.h.

int _DFB_DeviceData::num_mice

Definition at line 146 of file SDL_DirectFB_video.h.

int _DFB_DeviceData::use_linux_input

Definition at line 154 of file SDL_DirectFB_video.h.

int _DFB_DeviceData::use_yuv_direct

Definition at line 153 of file SDL_DirectFB_video.h.

int _DFB_DeviceData::use_yuv_underlays

Definition at line 152 of file SDL_DirectFB_video.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/src/video/directfb/SDL_DirectFB_video.h